Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(60)

Issue 13831049: Epidemic routing protocol addition for review

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 years, 12 months ago by mjf.alenazi
Modified:
1 year, 8 months ago
CC:
ns-3-reviews_googlegroups.com
Visibility:
Public.

Description

This is the first issue created to review the code that adds MANETs routing protocol Epidemic to ns-3 based on the paper titled 'Epidemic Routing for Partially-Connected Ad Hoc Networks'. This issue is based on ns-3.23. The second issue is based on ns-3.27, which can be located at: https://codereview.appspot.com/323290043/

Patch Set 1 #

Total comments: 28

Patch Set 2 : Fixed multiple issues based on inline comments from Peter Barnes #

Total comments: 32

Patch Set 3 : Adding comments, test cases and fixing more issues fore Epidemic routing #

Total comments: 180

Patch Set 4 : Fixing code styles and doxygen docs #

Total comments: 112

Patch Set 5 : Fixing summary vector. Seperating epidmic tag in seprate files and other issues #

Total comments: 90

Patch Set 6 : Fixing code based on comments. Changed globalPacketID from 64bit to 32bit to match original paper. #

Total comments: 115

Patch Set 7 : Fixing doxygen docs and code style #

Total comments: 103

Patch Set 8 : Fixing more doxygen comments and adding epidemic tag enum types #

Total comments: 245

Patch Set 9 : Fixing logging functions #

Total comments: 49

Patch Set 10 : Adding a function to not communicate with recently contacted hosts. Fixing more comments. #

Total comments: 37

Patch Set 11 : Fixing doxygen issues #

Total comments: 234

Patch Set 12 : Fixing doxygen #

Total comments: 90
Unified diffs Side-by-side diffs Delta from patch set Stats (+3628 lines, -60 lines) Patch
R .hgignore View 1 2 3 4 5 6 7 8 1 chunk +0 lines, -48 lines 0 comments Download
M doc/models/Makefile View 1 2 3 12 chunks +49 lines, -8 lines 0 comments Download
M doc/models/source/emulation-overview.rst View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M doc/models/source/index.rst View 1 2 3 3 chunks +7 lines, -3 lines 0 comments Download
M doc/models/source/organization.rst View 1 2 3 1 chunk +7 lines, -1 line 0 comments Download
A src/epidemic/doc/epidemic.rst View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +151 lines, -0 lines 0 comments Download
A src/epidemic/examples/epidemic-benchmark.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +244 lines, -0 lines 0 comments Download
A src/epidemic/examples/epidemic-example.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +275 lines, -0 lines 4 comments Download
A src/epidemic/examples/wscript View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +8 lines, -0 lines 0 comments Download
A src/epidemic/helper/epidemic-helper.h View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +79 lines, -0 lines 2 comments Download
A src/epidemic/helper/epidemic-helper.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +75 lines, -0 lines 0 comments Download
A src/epidemic/model/epidemic-packet.h View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +347 lines, -0 lines 20 comments Download
A src/epidemic/model/epidemic-packet.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +398 lines, -0 lines 2 comments Download
A src/epidemic/model/epidemic-packet-queue.h View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +202 lines, -0 lines 31 comments Download
A src/epidemic/model/epidemic-packet-queue.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +273 lines, -0 lines 4 comments Download
A src/epidemic/model/epidemic-routing-protocol.h View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +194 lines, -0 lines 18 comments Download
A src/epidemic/model/epidemic-routing-protocol.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +864 lines, -0 lines 5 comments Download
A src/epidemic/model/epidemic-tag.h View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +107 lines, -0 lines 2 comments Download
A src/epidemic/model/epidemic-tag.cc View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +116 lines, -0 lines 2 comments Download
A src/epidemic/test/epidemic-test-suite.cc View 1 2 3 4 5 6 7 8 9 1 chunk +198 lines, -0 lines 0 comments Download
A src/epidemic/wscript View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +33 lines, -0 lines 0 comments Download

Messages

Total messages: 45
Peter Barnes
Link to the paper: http://issg.cs.duke.edu/epidemic/epidemic.pdf
5 years, 11 months ago (2013-10-02 19:46:30 UTC) #1
Peter Barnes
In addition to the inline comments, this module needs a Models chapter and tests (what's ...
5 years, 11 months ago (2013-10-03 01:05:17 UTC) #2
mjf.alenazi
Thank you very much for your comments. I will try to fix them all as ...
5 years, 11 months ago (2013-10-03 21:28:11 UTC) #3
jpgs_ittc.ku.edu
On 3 Oct 2013, at 16:28, Mohammed Alenazi wrote: > Thank you very much for ...
5 years, 11 months ago (2013-10-04 16:41:50 UTC) #4
tomh_tomh.org
On 10/04/2013 09:41 AM, James P.G. Sterbenz wrote: > > On 3 Oct 2013, at ...
5 years, 11 months ago (2013-10-09 19:52:09 UTC) #5
mjf.alenazi
On Wed, Oct 2, 2013 at 8:05 PM, <pdbj@mac.com> wrote: > In addition to the ...
5 years, 11 months ago (2013-10-14 19:48:46 UTC) #6
Peter Barnes
Still need docs and tests. You should really rethink the queue and summary vector implementations. ...
5 years, 11 months ago (2013-10-17 22:09:32 UTC) #7
Peter Barnes
On 2013/10/14 19:48:46, mjf.alenazi wrote: > > https://codereview.appspot.**com/13831049/diff/1/src/** > > > epidemic/model/epidemic-**packet-queue.h#newcode182<https://codereview.appspot.com/13831049/diff/1/src/epidemic/model/epidemic-packet-queue.h#newcode182> > > src/epidemic/model/epidemic-**packet-queue.h:182: ...
5 years, 11 months ago (2013-10-17 22:58:48 UTC) #8
Peter Barnes
Patch 2 doesn't build for me: Waf: Entering directory `epidemic/build' Waf: Leaving directory `epidemic/build' source ...
5 years, 11 months ago (2013-10-17 23:08:25 UTC) #9
mjf.alenazi
Thank you for the comments. I will work on fixing the code once I get ...
5 years, 11 months ago (2013-10-18 03:43:39 UTC) #10
barnes26_llnl.gov
On Thursday, October 17, 2013 8:43:37 PM UTC-7, Mohammed Alenazi wrote: > > The code ...
5 years, 11 months ago (2013-10-21 19:42:23 UTC) #11
mjf.alenazi
I will fix these in my end On Mon, Oct 21, 2013 at 2:42 PM, ...
5 years, 11 months ago (2013-10-22 02:58:57 UTC) #12
mjf.alenazi
I am in a process of changing the vector with the a map as suggested. ...
5 years, 11 months ago (2013-10-22 06:12:59 UTC) #13
Peter Barnes
On 2013/10/22 06:12:59, mjf.alenazi wrote: > I am in a process of changing the vector ...
5 years, 11 months ago (2013-10-22 19:43:33 UTC) #14
mjf.alenazi
I fixed almost all the issues (details are are below). Before I upload, I run ...
5 years, 10 months ago (2013-11-08 20:57:09 UTC) #15
Peter Barnes
I'm traveling so I won't be able to try this until Tues at the earliest. ...
5 years, 10 months ago (2013-11-08 21:52:24 UTC) #16
Tom Henderson
The main issues that need to be resolved before merging to ns-3-dev are: - use ...
5 years, 9 months ago (2013-12-08 22:24:26 UTC) #17
Peter Barnes
A few comments from patch-2 are still unaddressed; I've brought them forward. Much doxygen is ...
5 years, 9 months ago (2013-12-10 00:02:32 UTC) #18
mjf.alenazi
I have uploaded a new patch fixing the issues presented. However, there is a runtime ...
5 years, 8 months ago (2013-12-30 23:11:10 UTC) #19
Peter Barnes
A few general comments: * Many of Tom's comments on patch3 have not been addressed, ...
5 years, 8 months ago (2014-01-07 23:57:08 UTC) #20
mjf.alenazi
I have run the style-check.py before submitting the code using this command find . -type ...
5 years, 8 months ago (2014-01-18 02:23:03 UTC) #21
Peter Barnes
Overall making great progress. Still missing lots of doxygen, and a number of earlier comments ...
5 years, 6 months ago (2014-03-10 22:36:52 UTC) #22
Konstantinos Katsaros
Hi I have one suggestion for this patch. Since one of the key metrics when ...
5 years, 4 months ago (2014-04-23 15:49:21 UTC) #23
mjf.alenazi
I have just submitted patch 6. I've run the check-style.py before submitting. I have changed ...
5 years, 3 months ago (2014-05-28 21:57:43 UTC) #24
Peter Barnes
(Sorry I took so long to look at your latest.) Much good progress. Biggest remaining ...
5 years, 1 month ago (2014-07-22 19:25:52 UTC) #25
mjf.alenazi
I have fixed inline comments. https://codereview.appspot.com/13831049/diff/145001/src/epidemic/doc/epidemic.h File src/epidemic/doc/epidemic.h (right): https://codereview.appspot.com/13831049/diff/145001/src/epidemic/doc/epidemic.h#newcode39 src/epidemic/doc/epidemic.h:39: */ Again, I was ...
5 years, 1 month ago (2014-08-02 19:15:12 UTC) #26
Tommaso Pecorella
Hi, I'll not comment every line, but I'd strongly suggest to improve the documentation. 1) ...
5 years, 1 month ago (2014-08-02 21:35:45 UTC) #27
Peter Barnes
- Include guards needed in all headers. - Too many comments from prior patches are ...
5 years ago (2014-09-12 20:33:50 UTC) #28
mjf.alenazi
https://codereview.appspot.com/13831049/diff/145001/src/epidemic/test/epidemic-test-suite.cc File src/epidemic/test/epidemic-test-suite.cc (right): https://codereview.appspot.com/13831049/diff/145001/src/epidemic/test/epidemic-test-suite.cc#newcode1 src/epidemic/test/epidemic-test-suite.cc:1: /* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */ On 2014/07/22 ...
5 years ago (2014-09-18 00:34:27 UTC) #29
Peter Barnes
1. Source formatting ------------------ Please remove multiple blank lines in the middle of functions. Please ...
4 years, 12 months ago (2014-09-23 22:54:24 UTC) #30
mjf.alenazi
I have uploaded patch9. For the epidemic routing protocol operation test case, I know the ...
4 years, 9 months ago (2014-11-25 19:51:56 UTC) #31
Peter Barnes
This is much farther along. Good work. Aside from trivial comments in line: 1. Jitter ...
4 years, 9 months ago (2014-12-17 00:15:45 UTC) #32
mjf.alenazi
I have fixed the pointed issues. I have added a function to avoid re-initiating packets ...
4 years, 9 months ago (2014-12-19 13:24:00 UTC) #33
Peter Barnes
Missing Doxygen: src/epidemic/model/epidemic-packet-queue.h:131: warning: parameters of member ns3::Epidemic::PacketQueue::Enqueue are not (all) documented src/epidemic/model/epidemic-packet-queue.h:131: warning: return ...
4 years, 9 months ago (2014-12-19 20:38:40 UTC) #34
mjf.alenazi
I fixed the pointed issues. Also, I tried to fix all the doxygen issues in ...
4 years, 9 months ago (2014-12-20 12:35:38 UTC) #35
Peter Barnes
In addition to the line by line comments, I've asked TomH to help us with: ...
4 years, 7 months ago (2015-02-03 01:25:48 UTC) #36
Tommaso Pecorella
Just a few comments. I didn't check all the code, these are the ones from ...
4 years, 7 months ago (2015-02-08 09:29:28 UTC) #37
barnes26_llnl.gov
Hello Tomasso, On Feb 8, 2015, at 1:29 AM, tommypec@gmail.com wrote: > https://codereview.appspot.com/13831049/diff/245001/src/epidemic/doc/epidemic.rst#newcode113 > src/epidemic/doc/epidemic.rst:113: ...
4 years, 7 months ago (2015-02-10 22:18:15 UTC) #38
mjf.alenazi
Sorry for the delay. I have been busy with my dissertation. I have fixed the ...
4 years, 4 months ago (2015-04-26 22:56:10 UTC) #39
Peter Barnes
Mostly minor; all easy to fix. https://codereview.appspot.com/13831049/diff/265001/src/epidemic/examples/epidemic-example.cc File src/epidemic/examples/epidemic-example.cc (right): https://codereview.appspot.com/13831049/diff/265001/src/epidemic/examples/epidemic-example.cc#newcode122 src/epidemic/examples/epidemic-example.cc:122: std::cerr << "Source ...
4 years, 4 months ago (2015-04-28 23:42:34 UTC) #40
mjf.alenazi
Hello everyone, I am resuming my epidemic code review. I have fixed all indicted issues ...
2 years, 4 months ago (2017-05-13 23:57:16 UTC) #41
Tom Henderson
This code review has migrated to https://codereview.appspot.com/323290043/ in order to accommodate the port to ns-3.27.
2 years, 2 months ago (2017-07-14 13:40:11 UTC) #42
jpgs_ittc.ku.edu
> On 14 Jul 2017, at 21:40, tomh.org@gmail.com wrote: > > This code review has ...
2 years, 2 months ago (2017-07-14 14:37:06 UTC) #43
mjf.alenazi
On 2017/07/14 14:37:06, jpgs_ittc.ku.edu wrote: > > On 14 Jul 2017, at 21:40, mailto:tomh.org@gmail.com wrote: ...
2 years, 2 months ago (2017-07-15 11:33:10 UTC) #44
barimahappiah
1 year, 8 months ago (2017-12-26 17:57:59 UTC) #45
Hi,
I am working on a project but I would want to how the percentage of messages
delivered and message delivery latency were done. I am new to ns3 and I would
appreciate any help. Thank you very much.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b